Bug 867852 - [abrt] gnash-0.8.10-2.fc17: Process /usr/bin/gtk-gnash was killed by signal 11 (SIGSEGV)
[abrt] gnash-0.8.10-2.fc17: Process /usr/bin/gtk-gnash was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
abrt_hash:9f5f4f9ace45eaf58decb4fe964...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 08:24 EDT by Demian Lee
Modified: 2013-07-31 20:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.13 KB, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: environ (1.91 KB, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: backtrace (30.48 KB, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: maps (52.42 KB, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: dso_list (11.13 KB, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: var_log_messages (1.36 KB, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details
File: open_fds (240 bytes, text/plain)
2012-10-18 08:25 EDT, Demian Lee
no flags Details

  None (edit)
Description Demian Lee 2012-10-18 08:24:59 EDT
Version-Release number of selected component:
gnash-0.8.10-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 3
cmdline:        /usr/bin/gtk-gnash -u http://tar-ural.ru/flash/main2.swf -U http://tar-ural.ru/ -x 79691982 -j 350 -k 280 -F 21:24 -P allowfullscreen=false -P allowscriptaccess=sameDomain -P bgcolor=#ffffff -P height=280 -P name=am180x180 -P pluginspage=http://www.macromedia.com/go/getflashplayer -P quality=high -P src=/flash/main2.swf -P type=application/x-shockwave-flash -P width=350 -P wmode=transparent -
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 ?? at /usr/lib64/gnash/libgnashcore-0.8.10.so
: #1 insert at /usr/include/c++/4.7.0/bits/stl_vector.h:1022
: #2 std::vector<gnash::geometry::Range2d<int>, std::allocator<gnash::geometry::Range2d<int> > >::resize at /usr/include/c++/4.7.0/bits/stl_vector.h:705
: #3 setWorld at ../libbase/snappingrange.h:305
: #4 gnash::geometry::SnappingRanges2d<int>::setWorld at ../libbase/snappingrange.h:303
: #5 gnash::Renderer_agg<agg::pixfmt_alpha_blend_rgba<agg::blender_rgba_pre<agg::rgba8, agg::order_bgra>, agg::row_accessor<unsigned char>, unsigned int> >::set_invalidated_region_world at agg/Renderer_agg.cpp:1959
: #6 gnash::GtkAggGlue::setRenderHandlerSize at gtk/gtk_glue_agg.cpp:132
: #11 gtk_widget_realize at gtkwidget.c:3543
: #12 gtk_widget_map at gtkwidget.c:3417
: #13 gtk_box_forall at gtkbox.c:1251
Comment 1 Demian Lee 2012-10-18 08:25:04 EDT
Created attachment 629337 [details]
File: core_backtrace
Comment 2 Demian Lee 2012-10-18 08:25:06 EDT
Created attachment 629338 [details]
File: environ
Comment 3 Demian Lee 2012-10-18 08:25:09 EDT
Created attachment 629339 [details]
File: backtrace
Comment 4 Demian Lee 2012-10-18 08:25:11 EDT
Created attachment 629340 [details]
File: limits
Comment 5 Demian Lee 2012-10-18 08:25:13 EDT
Created attachment 629341 [details]
File: cgroup
Comment 6 Demian Lee 2012-10-18 08:25:16 EDT
Created attachment 629342 [details]
File: maps
Comment 7 Demian Lee 2012-10-18 08:25:22 EDT
Created attachment 629343 [details]
File: dso_list
Comment 8 Demian Lee 2012-10-18 08:25:24 EDT
Created attachment 629344 [details]
File: var_log_messages
Comment 9 Demian Lee 2012-10-18 08:25:26 EDT
Created attachment 629345 [details]
File: open_fds
Comment 10 Bastiaan Jacques 2013-07-01 19:25:27 EDT
Sadly, the SWF from this report does not seem to be available anymore:  http://tar-ural.ru/flash/main2.swf .

If anyone happens to have a copy, lease post it here.
Comment 11 Fedora End Of Life 2013-07-03 18:37:13 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2013-07-31 20:36:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.